## org.eclipse.emf.cdo.spi.common.id
Class CDOIDLongFactoryImpl

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.CDOIDLongFactoryImpl

All Implemented Interfaces:
  CDOIDObjectFactory

    public class CDOIDLongFactoryImpl

extends java.lang.Object
implements CDOIDObjectFactory

Since:
  2.0

Nested Class Summary
`static class` `CDOIDLongFactoryImpl.LibraryHandler`

Constructor Summary
`CDOIDLongFactoryImpl()`

Method Summary
`CDOIDObject` `createCDOIDObject(org.eclipse.net4j.util.io.ExtendedDataInput in)` Returns a new instance of CDOIDObject.
`CDOIDObject` `createCDOIDObject(java.lang.String fragmentPart)` Returns a new instance of CDOIDObject.
`CDOIDLongFactoryImpl.LibraryHandler` `getLibraryHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOIDLongFactoryImpl

    public CDOIDLongFactoryImpl()

Method Detail

### createCDOIDObject

    public CDOIDObject createCDOIDObject(org.eclipse.net4j.util.io.ExtendedDataInput in)

  Description copied from interface: `CDOIDObjectFactory`
  Returns a new instance of CDOIDObject. The implementor of this method may use (read from) the given data input to determine which class to instantiate. The data input must not be used to fill the state of the new instance, this has to be done in the implementation of the `read()` method of the new instance.

  Specified by:
    `createCDOIDObject` in interface `CDOIDObjectFactory`

### createCDOIDObject

    public CDOIDObject createCDOIDObject(java.lang.String fragmentPart)

  Description copied from interface: `CDOIDObjectFactory`
  Returns a new instance of CDOIDObject. This implementation is different from `CDOIDObjectFactory.createCDOIDObject(ExtendedDataInput)` since the implementor of this method needs to construct a complete CDOIDObject from the given string.

  Specified by:
    `createCDOIDObject` in interface `CDOIDObjectFactory`

### getLibraryHandler

    public CDOIDLongFactoryImpl.LibraryHandler getLibraryHandler()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.